Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.facet.search
Class ReusingFacetArrays

    java.lang.Object
      org.apache.lucene.facet.search.FacetArrays
          org.apache.lucene.facet.search.ReusingFacetArrays

    public class ReusingFacetArrays

extends FacetArrays

A `FacetArrays` which uses the `ArraysPool` to allocate new arrays and pool them on `FacetArrays.free()`.

WARNING: This API is experimental and might change in incompatible ways in the next release.

Field Summary

Fields inherited from class org.apache.lucene.facet.search.FacetArrays
`arrayLength`

Constructor Summary
`ReusingFacetArrays(ArraysPool arraysPool)`

Method Summary
`protected void` | `doFree(float[] floats, int[] ints)`
`protected float[]` | `newFloatArray()`
`protected int[]` | `newIntArray()`

Methods inherited from class org.apache.lucene.facet.search.FacetArrays
`free, getFloatArray, getIntArray`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReusingFacetArrays

    public ReusingFacetArrays(ArraysPool arraysPool)

Method Detail

### newIntArray

    protected int[] newIntArray()

  Overrides:
    `newIntArray` in class `FacetArrays`

### newFloatArray

    protected float[] newFloatArray()

  Overrides:
    `newFloatArray` in class `FacetArrays`

### doFree

    protected void doFree(float[] floats,
                          int[] ints)

  Overrides:
    `doFree` in class `FacetArrays`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.